diff -Naur a/Makefile b/Makefile
--- a/Makefile	2014-04-03 11:36:12.000000000 +0200
+++ b/Makefile	2014-08-01 14:29:11.342840529 +0200
@@ -13,16 +13,6 @@
 
 build: build-arch build-indep
 
-# make man2html build available from project's base folder...
-build_man2html:
-	$(MAKE) -C x2goserver $@
-	$(MAKE) -C x2goserver-printing $@
-	$(MAKE) -C x2goserver-compat $@
-	$(MAKE) -C x2goserver-extensions $@
-	$(MAKE) -C x2goserver-xsession $@
-	$(MAKE) -C x2goserver-fmbindings $@
-	$(MAKE) -C x2goserver-pyhoca $@
-
 clean:
 	$(MAKE) -C x2goserver $@
 	$(MAKE) -C x2goserver-printing $@
diff -Naur a/x2goserver/Makefile b/x2goserver/Makefile
--- a/x2goserver/Makefile	2014-04-03 11:36:12.000000000 +0200
+++ b/x2goserver/Makefile	2014-08-01 14:31:21.398486427 +0200
@@ -30,10 +30,6 @@
 
 man_pages = `cd man && find * -type f`
 
-MAN2HTML_BIN  = man2html
-MAN2HTML_SRC  = man
-MAN2HTML_DEST = .build_man2html/html
-
 all: clean build
 
 build: build-arch build-indep
@@ -43,21 +39,13 @@
 build_setgidwrappers:
 	$(CC) $(CFLAGS) $(LDFLAGS) -DTRUSTED_BINARY=\"$(LIBDIR)/x2gosqlitewrapper.pl\" -o x2gosqlitewrapper x2gosqlitewrapper.c
 
-build-indep: build_man2html
-
-build_man2html:
-	mkdir -p $(MAN2HTML_DEST)
-	for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done
-	for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done
+build-indep:
 
-clean: clean_arch clean_man2html
+clean: clean_arch
 
 clean_arch:
 	rm -f x2gosqlitewrapper
 
-clean_man2html:
-	rm -Rf `dirname $(MAN2HTML_DEST)`
-
 install: install_scripts install_config install_man install_version
 
 install_scripts:
diff -Naur a/x2goserver-compat/Makefile b/x2goserver-compat/Makefile
--- a/x2goserver-compat/Makefile	2014-04-03 11:36:12.000000000 +0200
+++ b/x2goserver-compat/Makefile	2014-08-01 14:32:28.280332839 +0200
@@ -26,27 +26,15 @@
 
 man_pages = `cd man && find * -type f`
 
-MAN2HTML_BIN  = man2html
-MAN2HTML_SRC  = man
-MAN2HTML_DEST = .build_man2html/html
-
 all: clean build
 
 build: build-indep
 
-build-indep: build_man2html
+build-indep:
 
 build-arch:
 
-build_man2html:
-	mkdir -p $(MAN2HTML_DEST)
-	for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done
-	for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done
-
-clean: clean_man2html
-
-clean_man2html:
-	rm -rf `dirname $(MAN2HTML_DEST)`
+clean:
 
 install: install_scripts install_config install_man install_version
 
diff -Naur a/x2goserver-extensions/Makefile b/x2goserver-extensions/Makefile
--- a/x2goserver-extensions/Makefile	2014-04-03 11:36:12.000000000 +0200
+++ b/x2goserver-extensions/Makefile	2014-08-01 14:30:14.192635914 +0200
@@ -23,27 +23,15 @@
 
 man_pages = `cd man && find * -type f`
 
-MAN2HTML_BIN  = man2html
-MAN2HTML_SRC  = man
-MAN2HTML_DEST = .build_man2html/html
-
 all: clean build
 
 build: build-arch build-indep
 
 build-arch:
 
-build-indep: build_man2html
-
-build_man2html:
-	mkdir -p $(MAN2HTML_DEST)
-	for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done
-	for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done
-
-clean: clean_man2html
+build-indep:
 
-clean_man2html:
-	rm -rf `dirname $(MAN2HTML_DEST)`
+clean:
 
 install: install_scripts install_config install_man install_version
 
diff -Naur a/x2goserver-fmbindings/Makefile b/x2goserver-fmbindings/Makefile
--- a/x2goserver-fmbindings/Makefile	2014-04-03 11:36:12.000000000 +0200
+++ b/x2goserver-fmbindings/Makefile	2014-08-01 14:30:38.280940760 +0200
@@ -23,27 +23,15 @@
 
 man_pages = `cd man && find * -type f`
 
-MAN2HTML_BIN  = man2html
-MAN2HTML_SRC  = man
-MAN2HTML_DEST = .build_man2html/html
-
 all: clean build
 
 build: build-arch build-indep
 
 build-arch:
 
-build-indep: build_man2html
-
-build_man2html:
-	mkdir -p $(MAN2HTML_DEST)
-	for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done
-	for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done
-
-clean: clean_man2html
+build-indep:
 
-clean_man2html:
-	rm -rf `dirname $(MAN2HTML_DEST)`
+clean:
 
 install: install_scripts install_config install_man install_version
 
diff -Naur a/x2goserver-printing/Makefile b/x2goserver-printing/Makefile
--- a/x2goserver-printing/Makefile	2014-04-03 11:36:12.000000000 +0200
+++ b/x2goserver-printing/Makefile	2014-08-01 14:32:04.923037245 +0200
@@ -24,27 +24,15 @@
 
 man_pages = `cd man && find * -type f`
 
-MAN2HTML_BIN  = man2html
-MAN2HTML_SRC  = man
-MAN2HTML_DEST = .build_man2html/html
-
 all: clean build
 
 build: build-arch build-indep
 
 build-arch:
 
-build-indep: build_man2html
-
-build_man2html:
-	mkdir -p $(MAN2HTML_DEST)
-	for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done
-	for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done
-
-clean: clean_man2html
+build-indep:
 
-clean_man2html:
-	rm -rf `dirname $(MAN2HTML_DEST)`
+clean:
 
 install: install_scripts install_config install_man install_version
 
diff -Naur a/x2goserver-pyhoca/Makefile b/x2goserver-pyhoca/Makefile
--- a/x2goserver-pyhoca/Makefile	2014-04-03 11:36:12.000000000 +0200
+++ b/x2goserver-pyhoca/Makefile	2014-08-01 14:31:43.618767632 +0200
@@ -26,27 +26,15 @@
 
 man_pages = `cd man && find * -type f`
 
-MAN2HTML_BIN  = man2html
-MAN2HTML_SRC  = man
-MAN2HTML_DEST = .build_man2html/html
-
 all: clean build
 
 build: build-indep
 
-build-indep: build_man2html
+build-indep:
 
 build-arch:
 
-build_man2html:
-#	mkdir -p $(MAN2HTML_DEST)
-#	for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done
-#	for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done
-
-clean: clean_man2html
-
-clean_man2html:
-#	rm -rf `dirname $(MAN2HTML_DEST)`
+clean:
 
 install: install_scripts install_config install_man install_version
 
diff -Naur a/x2goserver-xsession/Makefile b/x2goserver-xsession/Makefile
--- a/x2goserver-xsession/Makefile	2014-04-03 11:36:12.000000000 +0200
+++ b/x2goserver-xsession/Makefile	2014-08-01 14:31:00.822226027 +0200
@@ -34,13 +34,9 @@
 
 build-arch:
 
-build-indep: build_man2html
+build-indep:
 
-build_man2html:
-
-clean: clean_man2html
-
-clean_man2html:
+clean:
 
 install: install_scripts install_config install_man install_version
 
